Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class FXCMOrdTypeFactory

    java.lang.Object
      com.fxcm.fix.FXCMOrdTypeFactory

    public class FXCMOrdTypeFactory

extends Object

Field Summary
`static IFXCMOrdType` | `CLOSE`
`static IFXCMOrdType` | `CLOSE_LIMIT`
`static IFXCMOrdType` | `CLOSE_MARKET`
`static IFXCMOrdType` | `CLOSE_PHONE`
`static IFXCMOrdType` | `CLOSE_RANGE`
`static IFXCMOrdType` | `CLOSE_REQUOTE`
`static IFXCMOrdType` | `ENTRY_LIMIT`
`static IFXCMOrdType` | `ENTRY_STOP`
`static IFXCMOrdType` | `EQUITY_STOP`
`static IFXCMOrdType` | `LIMIT`
`static IFXCMOrdType` | `LIMIT_TRAILING_ENTRY`
`static IFXCMOrdType` | `MARGIN_CALL`
`static IFXCMOrdType` | `OPEN`
`static IFXCMOrdType` | `OPEN_LIMIT`
`static IFXCMOrdType` | `OPEN_MARKET`
`static IFXCMOrdType` | `OPEN_PHONE`
`static IFXCMOrdType` | `OPEN_RANGE`
`static IFXCMOrdType` | `OPEN_REQUOTE`
`static IFXCMOrdType` | `RFQ`
`static IFXCMOrdType` | `STOP`
`static IFXCMOrdType` | `STOP_TRAILING_ENTRY`
`static IFXCMOrdType` | `TRAILING_LIMIT`
`static IFXCMOrdType` | `TRAILING_STOP`

Constructor Summary
`FXCMOrdTypeFactory()`

Method Summary
`static IFXCMOrdType` | `toCode(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN

    public static final IFXCMOrdType OPEN

### OPEN_PHONE

    public static final IFXCMOrdType OPEN_PHONE

### OPEN_MARKET

    public static final IFXCMOrdType OPEN_MARKET

### OPEN_LIMIT

    public static final IFXCMOrdType OPEN_LIMIT

### OPEN_REQUOTE

    public static final IFXCMOrdType OPEN_REQUOTE

### OPEN_RANGE

    public static final IFXCMOrdType OPEN_RANGE

### CLOSE

    public static final IFXCMOrdType CLOSE

### CLOSE_PHONE

    public static final IFXCMOrdType CLOSE_PHONE

### CLOSE_MARKET

    public static final IFXCMOrdType CLOSE_MARKET

### CLOSE_LIMIT

    public static final IFXCMOrdType CLOSE_LIMIT

### CLOSE_REQUOTE

    public static final IFXCMOrdType CLOSE_REQUOTE

### CLOSE_RANGE

    public static final IFXCMOrdType CLOSE_RANGE

### ENTRY_LIMIT

    public static final IFXCMOrdType ENTRY_LIMIT

### ENTRY_STOP

    public static final IFXCMOrdType ENTRY_STOP

### LIMIT

    public static final IFXCMOrdType LIMIT

### STOP

    public static final IFXCMOrdType STOP

### MARGIN_CALL

    public static final IFXCMOrdType MARGIN_CALL

### EQUITY_STOP

    public static final IFXCMOrdType EQUITY_STOP

### TRAILING_STOP

    public static final IFXCMOrdType TRAILING_STOP

### TRAILING_LIMIT

    public static final IFXCMOrdType TRAILING_LIMIT

### LIMIT_TRAILING_ENTRY

    public static final IFXCMOrdType LIMIT_TRAILING_ENTRY

### STOP_TRAILING_ENTRY

    public static final IFXCMOrdType STOP_TRAILING_ENTRY

### RFQ

    public static final IFXCMOrdType RFQ

Constructor Detail

### FXCMOrdTypeFactory

    public FXCMOrdTypeFactory()

Method Detail

### toCode

    public static IFXCMOrdType toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``FXCMORDTYPE_*``
  Returns:
    fxcm order type fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.